yast2-ncurses: NCPad Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCPad Class Reference

`#include <NCPad.h>`

Inheritance diagram for NCPad:

List of all members.

## Public Member Functions
| NCPad (int lines, int cols, const NCWidget &p)
virtual | ~NCPad ()
NCursesWindow * | Destwin ()
virtual void | Destwin (NCursesWindow *dwin)
virtual void | resize (wsze nsze)
virtual void | wRecoded ()
virtual void | setDirty ()
int | update ()
virtual int | setpos ()
virtual wpos | CurPos () const
int | ScrlTo (const wpos &newpos)
int | ScrlLine (const int line)
int | ScrlCol (const int col)
int | ScrlDown (const int lines=1)
int | ScrlUp (const int lines=1)
int | ScrlRight (const int cols=1)
int | ScrlLeft (const int cols=1)
virtual bool | handleInput (wint_t key)
## Protected Member Functions
virtual int | dirtyPad ()
virtual int | setpos (const wpos &newpos)
int | adjpos (const wpos &offset)
virtual void | updateScrollHint ()
## Protected Attributes
const NCWidget & | parw
NCursesWindow * | destwin
wrect | drect
wrect | srect
wpos | maxdpos
wpos | maxspos
bool | dclear
bool | dirty

## Constructor & Destructor Documentation

NCPad::NCPad | ( | int | lines,
|  | int | cols,
|  | const NCWidget & | p
| ) | `[inline]`

virtual NCPad::~NCPad | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

int NCPad::adjpos | ( | const wpos & | offset | ) | `[inline, protected]`

virtual wpos NCPad::CurPos | ( |  | ) | const`[inline, virtual]`

| Reimplemented in NCTablePad, NCTextPad, and NCTreePad.

void NCPad::Destwin | ( | NCursesWindow * | dwin | ) | `[virtual]`

| Reimplemented in NCTreePad.

NCursesWindow* NCPad::Destwin | ( |  | ) | `[inline]`

| Reimplemented in NCTreePad.

virtual int NCPad::dirtyPad | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in NCTablePad, and NCTreePad.

bool NCPad::handleInput | ( | wint_t | key | ) | `[virtual]`

| Reimplemented in NCTablePad, NCTextPad, and NCTreePad.

void NCPad::resize | ( | wsze | nsze | ) | `[virtual]`

| Reimplemented in NCTextPad.

int NCPad::ScrlCol | ( | const int | col | ) | `[inline]`

int NCPad::ScrlDown | ( | const int | lines = `1` | ) | `[inline]`

int NCPad::ScrlLeft | ( | const int | cols = `1` | ) | `[inline]`

int NCPad::ScrlLine | ( | const int | line | ) | `[inline]`

int NCPad::ScrlRight | ( | const int | cols = `1` | ) | `[inline]`

int NCPad::ScrlTo | ( | const wpos & | newpos | ) | `[inline]`

int NCPad::ScrlUp | ( | const int | lines = `1` | ) | `[inline]`

virtual void NCPad::setDirty | ( |  | ) | `[inline, virtual]`

virtual int NCPad::setpos | ( |  | ) | `[inline, virtual]`

| Reimplemented in NCTextPad.

int NCPad::setpos | ( | const wpos & | newpos | ) | `[protected, virtual]`

| Reimplemented in NCTablePad, NCTextPad, and NCTreePad.

int NCPad::update | ( |  | ) |

void NCPad::updateScrollHint | ( |  | ) | `[protected, virtual]`

| Reimplemented in NCTablePad, and NCTreePad.

void NCPad::wRecoded | ( |  | ) | `[virtual]`

| Reimplemented in NCTablePad, and NCTreePad.

## Member Data Documentation

bool NCPad::dclear`[protected]`

NCursesWindow* NCPad::destwin`[protected]`

bool NCPad::dirty`[protected]`

wrect NCPad::drect`[protected]`

wpos NCPad::maxdpos`[protected]`

wpos NCPad::maxspos`[protected]`

const NCWidget& NCPad::parw`[protected]`

wrect NCPad::srect`[protected]`

The documentation for this class was generated from the following files:

- NCPad.h
- NCPad.cc